

a0=1;
k0=0.3;
k1=1;
pwp=[5, -3];
pwp_last=[5,10];
p0=[0,0];


figure;
plot(r1_pos_array(:,2) ,r1_pos_array(:,3),'r:','LineWidth',3);
hold on;

m=linspace(pwp_last(1),pwp(1),100);
n=linspace(pwp_last(2),pwp(2),100);
plot(m,n,'k','LineWidth',3)
xlabel('水平前向通道 (m)','fontsize',11)
ylabel('水平侧向通道 (m)','fontsize',11)
hold on;

plot(pwp_last(1),pwp_last(2),'go','MarkerFaceColor','g','MarkerSize',5);
plot(pwp(1),pwp(2),'ro','MarkerFaceColor','r','MarkerSize',5);
plot(p0(1),p0(2),'bo','MarkerFaceColor','b','MarkerSize',5);
l = legend('实际路径','期望路径',...
'路径终点','路径起点','起始位置');
set(l,'Fontsize',9);
grid on
hold off;

xlim([0,6]);
ylim([-5,10]);
