
load('trajactory_k1_01');
load('trajactory_k1_02');
load('trajactory_k1_03');

a0=2;
k0=0.1;
pwp=[5, -3];
pwp_last=[5,10];
p0=[0,0];
% a0 changes;

figure;
plot(trajactory_k1_01(:,2),trajactory_k1_01(:,3),'r-','LineWidth',2);
hold on
plot(trajactory_k1_02(:,2),trajactory_k1_02(:,3),'b:','LineWidth',2);
hold on
plot(trajactory_k1_03(:,2),trajactory_k1_03(:,3),'g-.','LineWidth',2);
hold on
m=linspace(pwp_last(1),pwp(1),100);
n=linspace(pwp_last(2),pwp(2),100);
plot(m,n,'k','LineWidth',3)
xlabel('X(m)','fontsize',11)
ylabel('Y(m)','fontsize',11)
hold on;

plot(pwp_last(1),pwp_last(2),'go','MarkerFaceColor','g','MarkerSize',5);
plot(pwp(1),pwp(2),'ro','MarkerFaceColor','r','MarkerSize',5);
plot(p0(1),p0(2),'bo','MarkerFaceColor','b','MarkerSize',5);
% legend('trajectory init point','trajectory final point','UAV original position');
l = legend('Model','TF','the desired trajectory',...
'trajectory init point','trajectory final point','UAV original position');
set(l,'Fontsize',9);
grid on
hold off;

xlim([0,6]);
ylim([-5,10]);
title('comparaison','fontsize',11);